unit TNWSvrPr;

interface

uses Classes,
        TNWObj;

type
    TNWServeurImprimante = class(TNWObject)
    private
        { Private-dclarations }
    protected
        { Protected-dclarations }
    public
        { Public-dclarations }
        function ChercheNomPublic: String;
        procedure AssignNomPublic(NomPublic: String);
        procedure ChercheUtilisateurs(Utilisateurs: TStrings);
        procedure AssignUtilisateurs(Utilisateurs: TStrings);
        procedure ChercheOperateurs(Operateurs: TStrings);
        procedure AssignOperateurs(Operateurs: TStrings);
    end;

implementation


procedure TNWServeurImprimante.ChercheUtilisateurs(Utilisateurs: TStrings);
begin
    ChercheObjectsDansSet(Utilisateurs, 'PS_USERS');
end;


procedure TNWServeurImprimante.AssignUtilisateurs(Utilisateurs: TStrings);
begin
    AssignObjectsDansSet('PS_USERS', Utilisateurs);
end;


function TNWServeurImprimante.ChercheNomPublic: String;
begin
    Result := ChercheInfoDans('SAP_NAME');
end;

procedure TNWServeurImprimante.AssignNomPublic(NomPublic: String);
begin
    AssignInfoDans('SAP_NAME', NomPublic);
end;

procedure TNWServeurImprimante.ChercheOperateurs(Operateurs: TStrings);
begin
    ChercheObjectsDansSet(Operateurs, 'PS_OPERATORS');
end;

procedure TNWServeurImprimante.AssignOperateurs(Operateurs: TStrings);
begin
    AssignObjectsDansSet('PS_OPERATORS', Operateurs);
end;

end.
